%{?mingw_package_header}

# uses wine, requires enabled binfmt
%bcond_with tests

Name:           mingw-opus
Version:        1.2.1
Release:        4%{?dist}
Summary:        Audio codec for use in low-delay speech and audio communication

License:        BSD
URL:            https://www.opus-codec.org/
Source0:        https://archive.mozilla.org/pub/opus/opus-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc

%if %{with tests}
BuildRequires:  wine
%endif

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.


%package -n mingw32-opus
Summary:        %{summary}

%description -n mingw32-opus
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

This package is MinGW compiled opus library for the Win32 target.


%package -n mingw64-opus
Summary:        %{summary}

%description -n mingw64-opus
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec.

This package is MinGW compiled opus library for the Win64 target.


%{?mingw_debug_package}


%prep
%setup -q -n opus-%{version}


%build
%mingw_configure --enable-custom-modes --disable-static --disable-doc
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make_install DESTDIR=%{buildroot}
# remove libtool files
rm -f %{buildroot}%{mingw32_libdir}/libopus.la
rm -f %{buildroot}%{mingw64_libdir}/libopus.la


%check
%if %{with tests}
%mingw_make check
%endif


%files -n mingw32-opus
%license COPYING
%dir %{mingw32_includedir}/opus/
%{mingw32_bindir}/libopus-0.dll
%{mingw32_includedir}/opus/*.h
%{mingw32_libdir}/libopus.dll.a
%{mingw32_libdir}/pkgconfig/opus.pc
%{mingw32_datadir}/aclocal/opus.m4

%files -n mingw64-opus
%license COPYING
%dir %{mingw64_includedir}/opus/
%{mingw64_bindir}/libopus-0.dll
%{mingw64_includedir}/opus/*.h
%{mingw64_libdir}/libopus.dll.a
%{mingw64_libdir}/pkgconfig/opus.pc
%{mingw64_datadir}/aclocal/opus.m4


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jul 24 2017 František Dvořák <valtri@civ.zcu.cz> - 1.2.1-1
- Update to 1.2.1
- Use conditional build macros for tests
- Update download URL

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 08 2016 František Dvořák <valtri@civ.zcu.cz> - 1.1.3-1
- Update to 1.1.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 David King <amigadave@amigadave.com> - 1.1.2-1
- Update to 1.1.2 (#1299428)
- Use license macro for COPYING

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-0.2.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Nov 01 2014 František Dvořák <valtri@civ.zcu.cz> - 1.1.1-0.1.beta
- Updated to 1.1.1 beta (SSE optimizations)
- Buildroot macro
- Added optional testsuite, disabled by default

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jan 26 2014 František Dvořák <valtri@civ.zcu.cz> - 1.1-1
- Initial package
